Name: qt
Summary: The Qt GUI application framework: Shared library
Version: 1.33
Release: 1rh51
Source: ftp.troll.no:/qt/source/qt-1.33.tar.gz
Patch: qt-1.33-egcs.patch
Copyright: distributable
Group: X11/Libraries
Packager: Troll Tech <info@troll.no>
Buildroot: /tmp/qt-1.33-1rh51
Provides: qt-egcs-10x

%package devel
Summary: Include files and documentation needed to compile
Group: X11/Libraries

%description
Contains the shared library needed to run Qt applications, as well as
the README files for Qt.

%description devel
Contains the files necessary to develop applications using Qt: header
files, the Qt meta object compiler, man pages, HTML documentation and
example programs.  See http://www.troll.no for more information about
Qt, or file:/usr/lib/qt/html/index.html for Qt documentation in HTML.

%prep
%setup -n qt-1.33
%patch -p1

%build
make linux-egcs-shared
LD_LIBRARY_PATH=/usr/X11R6/lib make

%install
rm -rf $RPM_BUILD_ROOT
chown -R root.root .
mkdir -p $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT/usr/lib $RPM_BUILD_ROOT/usr/man
cp bin/moc $RPM_BUILD_ROOT/usr/bin/moc
cp lib/libqt.so.1.33 $RPM_BUILD_ROOT/usr/lib
ln -sf libqt.so.1.33 $RPM_BUILD_ROOT/usr/lib/libqt.so.1
ln -sf libqt.so.1 $RPM_BUILD_ROOT/usr/lib/libqt.so
cp -fR man/. $RPM_BUILD_ROOT/usr/man
mkdir -p $RPM_BUILD_ROOT/usr/lib/qt $RPM_BUILD_ROOT/usr/lib/qt/include 
cp -fR html $RPM_BUILD_ROOT/usr/lib/qt
cp -fR tutorial $RPM_BUILD_ROOT/usr/lib/qt
cp -fR examples $RPM_BUILD_ROOT/usr/lib/qt
cp -fR include/. $RPM_BUILD_ROOT/usr/lib/qt/include

for a in `find $RPM_BUILD_ROOT/usr/lib/qt -name Makefile` ; do
    M=`dirname $a`/Makefile
    N=${M}.new  
    cat > $N <<EOF
####### This section is automatically generated

INCDIR	=  /usr/lib/qt/include
CFLAGS	= -O2 -fno-strength-reduce -Wall -W -I/usr/X11R6/include
LFLAGS  = -lqt -L/usr/X11R6/lib
SHELL   = /bin/sh
CC	= egcs
MOC	= /usr/bin/moc

####### End of automatically generated section
#
EOF
    sed -ne '/# *\$Source.*\$/,$ p' < $M >> $N
    rm -f $M
    mv $N $M
    echo edited $M
done
for a in $RPM_BUILD_ROOT/usr/lib/qt/*/* ; do
  if [ -d $a ];
  then
    cd $a
    A=`awk -F= '/^SRCMETA/{print $2}' Makefile`
    [ A"${A}" = A ] || rm -v $A
  fi
done
rm $RPM_BUILD_ROOT/usr/lib/qt/*/*/*.o
#/sbin/ldconfig -v
chown root.root $RPM_BUILD_ROOT/usr/lib/libqt.so.1.33 $RPM_BUILD_ROOT/usr/lib/libqt.so.1 $RPM_BUILD_ROOT/usr/lib/libqt.so
chmod -R a+r $RPM_BUILD_ROOT/usr/lib/libqt.so* $RPM_BUILD_ROOT/usr/lib/qt

%post
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%postun
/sbin/ldconfig

%files
%doc ANNOUNCE LICENSE README.QT FAQ PORTING README changes-1.30 changes-1.31 changes-1.32 changes-1.33
/usr/lib/libqt.so.1.33
/usr/lib/libqt.so.1
/usr/lib/libqt.so

%files devel
/usr/bin/moc
/usr/man/man1/moc.1
/usr/man/man3/*.3qt
/usr/lib/qt/
